import { EditorFactory, KogitoEditorEnvelopeContextType } from "@kie-tools-core/editor/dist/api";
import { EditorEnvelopeViewApi, KogitoEditorEnvelopeApiImpl } from "@kie-tools-core/editor/dist/envelope";
import { EnvelopeApiFactoryArgs } from "@kie-tools-core/envelope";
import { ServerlessWorkflowTextEditorChannelApi, ServerlessWorkflowTextEditorEnvelopeApi } from "../api";
import { ServerlessWorkflowTextEditorApi } from "../editor";
export declare type ServerlessWorkflowTextEnvelopeApiFactoryArgs = EnvelopeApiFactoryArgs<ServerlessWorkflowTextEditorEnvelopeApi, ServerlessWorkflowTextEditorChannelApi, EditorEnvelopeViewApi<ServerlessWorkflowTextEditorApi>, KogitoEditorEnvelopeContextType<ServerlessWorkflowTextEditorChannelApi>>;
export declare class ServerlessWorkflowTextEditorEnvelopeApiImpl extends KogitoEditorEnvelopeApiImpl<ServerlessWorkflowTextEditorApi, ServerlessWorkflowTextEditorEnvelopeApi, ServerlessWorkflowTextEditorChannelApi> implements ServerlessWorkflowTextEditorEnvelopeApi {
    private readonly serverlessWorkflowArgs;
    constructor(serverlessWorkflowArgs: ServerlessWorkflowTextEnvelopeApiFactoryArgs, editorFactory: EditorFactory<ServerlessWorkflowTextEditorApi, ServerlessWorkflowTextEditorChannelApi>);
    kogitoSwfTextEditor__moveCursorToNode(args: {
        nodeName: string;
        documentUri: string;
    }): void;
}
//# sourceMappingURL=ServerlessWorkflowTextEditorEnvelopeApiImpl.d.ts.map